Skip to main content
`Ctrl`+`K`

# DMStagGetLocationSlot

get index to use in accessing raw local arrays

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetLocationSlot(DM dm, DMStagStencilLocation loc, PetscInt c, PetscInt *slot)

Not Collective

## Input Parameters

- dm - the `DMSTAG` object

- loc - location relative to an element

- c - component

## Output Parameter

- slot - index to use

## Notes

Provides an appropriate index to use with `DMStagVecGetArray()` and friends. This is required so that the user doesn’t need to know about the ordering of dof associated with each local element.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagVecGetArray()`, `DMStagVecGetArrayRead()`, `DMStagGetDOF()`, `DMStagGetEntriesPerElement()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex6.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages